import { createBalanceBuilder } from '../../balance';
import { MoonChain, MOON_CHAINS_CONFIGS } from '../../constants';
import { MOONBASE_ASSETS_CONFIGS as assets } from './moonbase.assets';
import { MOONBASE_CHAINS_CONFIGS as chains } from './moonbase.chains';
import { createExtrinsicBuilder } from '../../extrinsic';
import { createWithdrawBuilder } from '../../withdraw';
export { assets, chains };
export const moonbase = MOON_CHAINS_CONFIGS[MoonChain.MoonbaseAlpha];
export const balance = createBalanceBuilder();
export const extrinsic = createExtrinsicBuilder(moonbase);
export const withdraw = createWithdrawBuilder();
//# sourceMappingURL=moonbase.common.js.map